Bug 973165 - RichFaces dynamic accordion is not working
RichFaces dynamic accordion is not working
Status: CLOSED UPSTREAM
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: PortletBridge (Show other bugs)
6.1.0
x86_64 Linux
unspecified Severity unspecified
: ER02
: 6.1.0
Assigned To: Ken Finnigan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 08:10 EDT by Petr Mensik
Modified: 2015-07-19 21:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 10:24:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PBR-514 Major Closed RichFaces dynamic accordion is not working 2014-05-29 06:53:04 EDT

  None (edit)
Description Petr Mensik 2013-06-11 08:10:02 EDT
As header suggest clicking on tabs in dynamic accordion is not doing anything, there is no error in the log or JS console in Firebug.

Steps to reproduce

1. Deploy Showcase portlet and start GateIn
2. Go to rich:accordion in Output/Panels
3. Select Dynamic Accordion tab
4. Try to click on items in the accordion.
Comment 1 JBoss JIRA Server 2013-06-18 10:22:46 EDT
Ken Finnigan <ken@kenfinnigan.me> updated the status of jira PBR-514 to Resolved
Comment 2 JBoss JIRA Server 2013-06-18 10:22:46 EDT
Ken Finnigan <ken@kenfinnigan.me> made a comment on jira PBR-514

Upstream: https://github.com/portletbridge/portletbridge/commit/be36ad68f737f9746a6afab34ad1cbd474f518bc
Comment 3 Ken Finnigan 2013-06-18 10:24:16 EDT
Fix for this is to upgrade showcase demo to RF 4.3.2.Final, as it is a bug in using nested forms with the dynamic accordion that was preventing it from working.
Comment 4 JBoss JIRA Server 2013-08-16 14:34:50 EDT
Ken Finnigan <ken@kenfinnigan.me> updated the status of jira PBR-514 to Closed

Note You need to log in before you can comment on or make changes to this bug.